Skip to main content
GET
Get a flow

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required
read-only

ID of the flow to get 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

200 - application/json

OK

name
string
required

The name of the flow

Minimum string length: 1
Example:

"Sales Leads"

enabled
boolean
required

Disabling a flow will prevent any processing of lead submissions. Submission will result in an error outcome.

Example:

true

fields
string[]
required

The list of fields (IDs) representing the lead to be processed by this flow.

The required alphanumeric identifier of the field. Custom fields have an account-specific suffix (e.g. '_acme')

Pattern: ^[0-9a-fA-F]{24}$
Example:
sources
object[]
required

Flows accommodate multiple lead sources. Each source has:

  • Entity reference - Identifies the submitting party
  • Inbound mappings - Field name transformations specific to that source
  • Authentication settings - Credentials and security requirements
  • Acceptance Criteria - Source-specific rules that must pass in order to continue processing a lead
  • Pricing configuration - Source-specific cost calculations
  • Caps - Source-specific caps
steps
(Calculated Step · object | Filter Step · object | Recipient Step · object | Distribution Step · object)[]
required

After executing acceptance criteria, caps, and pricing, for the source and flow, steps are processed in order sequentially.

A calculated step evaluates rules and templates to set calculated field values on a lead before continuing to the next step.

id
string

The unique identifier for a flow

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

errors
object
read-only

Errors preventing this flow from being saved

caps
null | object[]

Caps on leads submitted into this flow from any source. These caps will be processed before caps set on a source.

Minimum array length: 1
acceptance_criteria
Acceptance Criteria · object

A submitted lead that fails an acceptance criteria rule will be rejected. Lead submission will result in a failure outcome.

pricing
object

This pricing configuration applies to all leads submitted to this flow. Pricing determines the value of the purchase_price and cost property on the source event recorded when a lead is submitted.

Each price is evaluated and the last price for which all rules match will determine the amount used for the purchase_price and cost. If none of these prices match for a particular lead, source pricing will be evaluated. If no price matches, the price properties on the source event will be set to 0.

list_checks
object

Check the lead against SuppressionList lists to see if it's a duplicate, and existing customer, or is on the do-not-call list.

destinations
object[]
ping_enabled
boolean
default:false
ping_limits
Ping Limit · object[]
pricing_service
Pricing Service Config · object

The configuration required on a Source or Flow to define a Pricing Service for lead pricing.

firehose
object

Firehose configuration for exporting event data to cloud storage. Supports a legacy flat format (AWS S3 only) and a service-based format that allows multiple cloud storage providers.

level
string
read-only

The level of the flow, e.g. 'minimal' for buyer accounts

created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only